const cp = require('child_process');
const fs = require('fs');
const path = require('path');

fs.rmdirSync('lib', {
	recursive: true,
});

cp.execSync('pnpx tsc'); // Compile typescript

function copyRecursive(root, src, dest) {
	const items = fs.readdirSync(path.join(root, src));

	for (const item of items) {
		const stat = fs.statSync(path.join(root, src, item));
		if (stat.isDirectory()) {
			// recursive
			const folder = path.join(root, dest, item);
			if (!fs.existsSync(folder)) fs.mkdirSync(folder);
			copyRecursive(root, path.join(src, item), path.join(dest, item));
		} else if (stat.isFile()) {
			if (!item.endsWith('.ts')) {
				// Copy file
				fs.copyFileSync(
					path.join(root, src, item),
					path.join(root, dest, item)
				);
			}
		} else {
			console.warn('received invalid file type at', path.join(root, src, item));
		}
	}
}

copyRecursive('.', 'src', 'lib');
