import { writable } from 'svelte/store';
function subscribeMQ(mq, fnc) {
    if (mq.addEventListener)
        mq.addEventListener('change', fnc);
    else
        mq.addListener(fnc);
}
export function getMQStore(query) {
    const mediaQuery = window.matchMedia(query);
    const store = writable(mediaQuery.matches);
    subscribeMQ(mediaQuery, (evt) => store.set(evt.matches));
    return store;
}
//# sourceMappingURL=mediaquery.js.map